import http from '@/service'

export function getTaskV2PageApi(params: any) {
  return http.get('/admin/task/v2/page', { params })
}
export function getTaskV2PageCheckedApi(params: any) {
  return http.get('/admin/task/v2/page/checked', { params })
}

export function getTaskTypeAvailApi(params?: any) {
  return http.get('/admin/task/type/v2/avail', { params })
}

export function getTaskV2CheckHisApi(params?: any) {
  return http.get('/admin/task/v2/check/his', { params })
}

export function getDeptv2Avail(params?: any) {
  return http.get('/admin/dept/v2/avail', { params })
}

export function getUserV2Avail(params?: any) {
  return http.get('/admin/user/v2/avail', { params })
}

export function getDrug2Avail(params?: any) {
  return http.get('/admin/drug/v2/avail', { params })
}

export function getPkgV2Api(params?: any) {
  return http.get('/admin/pkg/avail', { params })
}

export function getTaskV2TokenApi(data?: any) {
  return http.post('/admin/task/v2/token', data)
}

export function checkSingleApi(data?: any) {
  return http.post('/admin/task/v2/check/single', data)
}

export function getPretreatmentApi(data?: any) {
  return http.post('/admin/task/v2/check/pretreatment', data)
}

export function pretreatmentClearApi(data?: any) {
  return http.post('/admin/task/v2/check/pretreatment/clear', data)
}

export function taskV2CheckBatchApi(data?: any) {
  return http.post('/admin/task/v2/check/batch', data)
}
